Bug 962614 - CVE-2013-2035 HawtJNI: predictable temporary file name leading to local arbitrary code execution [fedora-all]
CVE-2013-2035 HawtJNI: predictable temporary file name leading to local arbit...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: jansi (Show other bugs)
18
All Linux
low Severity low
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-2035
  Show dependency treegraph
 
Reported: 2013-05-14 00:00 EDT by David Jorm
Modified: 2014-10-20 20:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-05 06:03:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Jorm 2013-05-14 00:00:31 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 David Jorm 2013-05-14 00:00:44 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=958618,962614
Comment 2 Marek Goldmann 2013-05-21 07:40:20 EDT
Fixed in Rawhide:

https://koji.fedoraproject.org/koji/taskinfo?taskID=5404838
https://koji.fedoraproject.org/koji/taskinfo?taskID=5404825

At this point there is no plan to upgrade the Jansi version from 1.9 to 1.11 and HawtJNI from 1.6 to 1.8 in Fedora 18. If you think this will impact Fedora 18 much, please let me know. Fedora 19 packages will be updated soon.

Note You need to log in before you can comment on or make changes to this bug.